Package: org.codehaus.groovy.util

## [Java] Class ReferenceManager

- org.codehaus.groovy.util.ReferenceManager

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `ReferenceManager(ReferenceQueue queue)`
    `` | `void` | `afterReferenceCreation(Reference r)`
    `` | `static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
    `` | `static ReferenceBundle` | `getDefaultSoftBundle()` @deprecated use ReferenceBundle.getSoftBundle
    `` | `static ReferenceBundle` | `getDefaultWeakBundle()` @deprecated use ReferenceBundle.getWeakBundle
    `` | `protected ReferenceQueue` | `getReferenceQueue()`
    `` | `void` | `removeStallEntries()`
    `` | `void` | `stopThread()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public def ReferenceManager(ReferenceQueue queue)

    - #### public void afterReferenceCreation(Reference r)

    - #### public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createIdlingManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThreadedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

    - #### @Deprecated public static ReferenceBundle getDefaultSoftBundle()

      deprecated:
        use ReferenceBundle.getSoftBundle

    - #### @Deprecated public static ReferenceBundle getDefaultWeakBundle()

      deprecated:
        use ReferenceBundle.getWeakBundle

    - #### protected ReferenceQueue getReferenceQueue()

    - #### public void removeStallEntries()

    - #### public void stopThread()

    - #### @Override public String toString()